<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: testCNNSimpleClone.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_4f218e5c1c68a8760266841df915118e.html">src</a></li><li class="navelem"><a class="el" href="dir_f89ab501b8b82561f2c4272b09a3306b.html">test</a></li><li class="navelem"><a class="el" href="dir_33b1e66cafa6041e6e41b00b9d88c964.html">cnn</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">testCNNSimpleClone.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="testCNN_8h_source.html">testCNN.h</a>&quot;</code><br/>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aaaa253a12856f3bb8c463ce490dfcd4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaaa253a12856f3bb8c463ce490dfcd4e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>MODEL_PATH</b>&#160;&#160;&#160;&quot;../../database/test/cnn/databaseTestCNNSimpleClone1.m&quot;</td></tr>
<tr class="separator:aaaa253a12856f3bb8c463ce490dfcd4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a103b3c11fd97b4b5416c48c3debf2a2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a103b3c11fd97b4b5416c48c3debf2a2f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>CLONE_MODEL_PATH</b>&#160;&#160;&#160;&quot;../../database/test/cnn/databaseTestCNNSimpleClone2.m&quot;</td></tr>
<tr class="separator:a103b3c11fd97b4b5416c48c3debf2a2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ef4d844a2b206b0c75d825df0730786"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ef4d844a2b206b0c75d825df0730786"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IMAGE_ROW</b>&#160;&#160;&#160;28</td></tr>
<tr class="separator:a3ef4d844a2b206b0c75d825df0730786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a616d34efcb208f35303ae84b764bce30"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a616d34efcb208f35303ae84b764bce30"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IMAGE_COL</b>&#160;&#160;&#160;28</td></tr>
<tr class="separator:a616d34efcb208f35303ae84b764bce30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a313d155c7da2c8f76cbf29c0d6ecd342"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a313d155c7da2c8f76cbf29c0d6ecd342"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>IMAGE_CHANNEL</b>&#160;&#160;&#160;3</td></tr>
<tr class="separator:a313d155c7da2c8f76cbf29c0d6ecd342"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab06294e30aa4bed76e80eaed597648a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab06294e30aa4bed76e80eaed597648a6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>INT_FORMAT</b>&#160;&#160;&#160;&quot;%10d&quot;</td></tr>
<tr class="separator:ab06294e30aa4bed76e80eaed597648a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3336588f9544e5e7d91549f5df5547a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3336588f9544e5e7d91549f5df5547a5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>FLOAT_FORMAT</b>&#160;&#160;&#160;&quot;%12.4f&quot;</td></tr>
<tr class="separator:a3336588f9544e5e7d91549f5df5547a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab129e5fa75af2971e15bab5b663671f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab129e5fa75af2971e15bab5b663671f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>CNN_NAME</b>&#160;&#160;&#160;&quot;cnn&quot;</td></tr>
<tr class="separator:aab129e5fa75af2971e15bab5b663671f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae7bc4f3d8a4320b6f64bd115ee88e09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae7bc4f3d8a4320b6f64bd115ee88e09"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>PARAMS_LEVEL</b>&#160;&#160;&#160;<a class="el" href="group__util.html#gga8e44b2a87636024736da04ae5a53c1c9a2cddbb23ea76ecaee590b53dab026432">Util_ParamsLevel2</a></td></tr>
<tr class="separator:aae7bc4f3d8a4320b6f64bd115ee88e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gace350f99cda0e82ff6908b8600acc0fa"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__testCNN.html#gace350f99cda0e82ff6908b8600acc0fa">testCNNSimpleClone</a> ()</td></tr>
<tr class="memdesc:gace350f99cda0e82ff6908b8600acc0fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple clone function test.  <a href="group__testCNN.html#gace350f99cda0e82ff6908b8600acc0fa">More...</a><br/></td></tr>
<tr class="separator:gace350f99cda0e82ff6908b8600acc0fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
